---
title: Delete Custom CSR
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Custom Csrs](https://developers.cloudflare.com/api/go/resources/custom_csrs)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Custom CSR

client.CustomCsrs.Delete(ctx, customCsrID, body) (\*[CustomCsrDeleteResponse](<https://developers.cloudflare.com/api/go/resources/custom_csrs#(resource)%20custom_csrs%20%3E%20(model)%20CustomCsrDeleteResponse%20%3E%20(schema)>), error)

DELETE/{accounts\_or\_zones}/{account\_or\_zone\_id}/custom\_csrs/{custom\_csr\_id}

Delete a custom Certificate Signing Request (CSR) and its associated private key.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account: SSL and Certificates Write`

##### ParametersExpand Collapse

customCsrID string

Custom CSR identifier tag.

maxLength36

[Link to this property](<#(resource)%20custom_csrs%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20custom_csr_id%20%3E%20(schema)>)

<details>

<summary>

body CustomCsrDeleteParams

</summary>

AccountID param.Field\[string]Optional

The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

<a href="#(resource)%20custom_csrs%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

ZoneID param.Field\[string]Optional

The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

<a href="#(resource)%20custom_csrs%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20custom_csrs%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type CustomCsrDeleteResponse struct{…}

</summary>

ID stringOptional

Custom CSR identifier tag.

maxLength36

<a href="#(resource)%20custom_csrs%20%3E%20(model)%20CustomCsrDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20custom_csrs%20%3E%20(model)%20CustomCsrDeleteResponse%20%3E%20(schema)>)

### Delete Custom CSR

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/custom_csrs"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  customCsr, err := client.CustomCsrs.Delete(
    context.TODO(),
    "7b163417-1d2b-4c84-a38a-2fb7a0cd7752",
    custom_csrs.CustomCsrDeleteParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", customCsr.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "7b163417-1d2b-4c84-a38a-2fb7a0cd7752"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "7b163417-1d2b-4c84-a38a-2fb7a0cd7752"
  }
}
```